blueness    14/07/30 14:47:33

  Modified:             pyptlib-0.0.6.ebuild ChangeLog
  Removed:              pyptlib-0.0.5.ebuild
  Log:
  Fix bug #515766
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
0xF52D4BBA)

Revision  Changes    Path
1.2                  dev-python/pyptlib/pyptlib-0.0.6.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pyptlib/pyptlib-0.0.6.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pyptlib/pyptlib-0.0.6.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pyptlib/pyptlib-0.0.6.ebuild?r1=1.1&r2=1.2

Index: pyptlib-0.0.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pyptlib/pyptlib-0.0.6.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pyptlib-0.0.6.ebuild        17 Apr 2014 11:56:01 -0000      1.1
+++ pyptlib-0.0.6.ebuild        30 Jul 2014 14:47:33 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pyptlib/pyptlib-0.0.6.ebuild,v 
1.1 2014/04/17 11:56:01 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pyptlib/pyptlib-0.0.6.ebuild,v 
1.2 2014/07/30 14:47:33 blueness Exp $
 
 EAPI="5"
 PYTHON_COMPAT=( python2_7 )
@@ -14,6 +14,17 @@
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="doc examples"
 
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 DOCS=( README.rst TODO )
+
+python_test() {
+       "${PYTHON}" -m unittest discover || die "tests failed"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/html/. )
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}



1.3                  dev-python/pyptlib/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pyptlib/ChangeLog?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pyptlib/ChangeLog?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pyptlib/ChangeLog?r1=1.2&r2=1.3

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pyptlib/ChangeLog,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ChangeLog   17 Apr 2014 11:56:01 -0000      1.2
+++ ChangeLog   30 Jul 2014 14:47:33 -0000      1.3
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/pyptlib
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pyptlib/ChangeLog,v 1.2 
2014/04/17 11:56:01 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pyptlib/ChangeLog,v 1.3 
2014/07/30 14:47:33 blueness Exp $
+
+  30 Jul 2014; Anthony G. Basile <[email protected]> -pyptlib-0.0.5.ebuild,
+  pyptlib-0.0.6.ebuild:
+  Fix bug #515766
 
 *pyptlib-0.0.6 (17 Apr 2014)
 




Reply via email to